Package ru.bitel.oss.kernel.entity.common.bean

# Class EntityAttrAddress

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.EntityAttr
ru.bitel.oss.kernel.entity.common.bean.EntityAttrAddress

    public class EntityAttrAddress
    extends EntityAttr

Атрибут/параметр - адрес.

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `EntityAttrAddress()` |
  `` | `EntityAttrAddress​(int entityId, int entitySpecAttrId)` |
  `` | `EntityAttrAddress​(int entityId, int entitySpecAttrId, int houseId, int pod, int floor, java.lang.String flat, java.lang.String room, java.lang.String comment, java.lang.String formatKey, java.lang.String title)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` | Получение комментария.
  `java.lang.String` | `getFlat()` | Получение квартиры.
  `int` | `getFloor()` | Получение этажа.
  `java.lang.String` | `getFormatKey()` | Получение ключа форматирования адреса в строковое представление.
  `int` | `getHouseId()` | Получение ID дома.
  `int` | `getPod()` | Получение подъезда.
  `java.lang.String` | `getRoom()` | Получение комнаты.
  `java.lang.String` | `getTitle()` | Получение строкового представления адреса.
  `void` | `setComment​(java.lang.String comment)` | Установка комментария.
  `void` | `setFlat​(java.lang.String flat)` | Установка квартиры.
  `void` | `setFloor​(int floor)` | Установка этажа.
  `void` | `setFormatKey​(java.lang.String formatKey)` | Установка ключа форматирования адреса в строковое представление.
  `void` | `setHouseId​(int houseId)` | Установка ID дома.
  `void` | `setPod​(int pod)` | Установка подъезда.
  `void` | `setRoom​(java.lang.String room)` | Установка комнаты.
  `void` | `setTitle​(java.lang.String title)` | Установка строкового представления адреса.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.EntityAttr

  `getEntityId, getEntitySpecAttrId, getType, getTypeName, newInstance, setEntityId, setEntitySpecAttrId, setType, setTypeName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EntityAttrAddress

    protected EntityAttrAddress()

  - ### EntityAttrAddress

    public EntityAttrAddress​(int entityId, int entitySpecAttrId)

  - ### EntityAttrAddress

    public EntityAttrAddress​(int entityId, int entitySpecAttrId, int houseId, int pod, int floor, java.lang.String flat, java.lang.String room, java.lang.String comment, java.lang.String formatKey, java.lang.String title)

- ## Method Details

  - ### getHouseId

    public int getHouseId()
    Получение ID дома.
    Returns:

  - ### setHouseId

    public void setHouseId​(int houseId)
    Установка ID дома.
    Parameters:
      `houseId` -

  - ### getFlat

    public java.lang.String getFlat()
    Получение квартиры.
    Returns:

  - ### setFlat

    public void setFlat​(java.lang.String flat)
    Установка квартиры.
    Parameters:
      `flat` -

  - ### getRoom

    public java.lang.String getRoom()
    Получение комнаты.
    Returns:

  - ### setRoom

    public void setRoom​(java.lang.String room)
    Установка комнаты.
    Parameters:
      `room` -

  - ### getPod

    public int getPod()
    Получение подъезда.
    Returns:

  - ### setPod

    public void setPod​(int pod)
    Установка подъезда.
    Parameters:
      `pod` -

  - ### getFloor

    public int getFloor()
    Получение этажа.
    Returns:

  - ### setFloor

    public void setFloor​(int floor)
    Установка этажа.
    Parameters:
      `floor` -

  - ### getComment

    public java.lang.String getComment()
    Получение комментария.
    Returns:

  - ### setComment

    public void setComment​(java.lang.String comment)
    Установка комментария.
    Parameters:
      `comment` -

  - ### getTitle

    public java.lang.String getTitle()
    Получение строкового представления адреса.
    Returns:

  - ### setTitle

    public void setTitle​(java.lang.String title)
    Установка строкового представления адреса.
    Parameters:
      `title` -

  - ### getFormatKey

    public java.lang.String getFormatKey()
    Получение ключа форматирования адреса в строковое представление.
    Returns:

  - ### setFormatKey

    public void setFormatKey​(java.lang.String formatKey)
    Установка ключа форматирования адреса в строковое представление.
    Parameters:
      `formatKey` -

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`